std::__profile::deque< _Tp, _Allocator >(3)

NAME
std::__profile::deque< _Tp, _Allocator > -

SYNOPSIS

Inherits deque< _Tp, _Allocator >.

  Public Types
typedef _Allocator allocator_type
typedef _Base::const_iterator const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef
_Base::const_reverse_iterator const_reverse_iterator"
typedef _Base::difference_type difference_type
typedef _Base::iterator iterator
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef _Base::reverse_iterator reverse_iterator
typedef _Base::size_type size_type
typedef _Tp value_type

  Public Member Functions
deque (const _Allocator &__a)
deque (size_type __n)
deque (size_type __n, const _Tp &__value, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> deque (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
deque (const deque &__x)
deque (const _Base &__x)
deque (deque &&__x)
deque (initializer_list< value_type > __l, const allocator_type &__a=allocator_type())
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> void assign (_InputIterator __first, _InputIterator __last)
void assign (size_type __n, const _Tp &__t)
void assign (initializer_list< value_type > __l)
reference back () noexcept
const_reference back () const noexcept
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (const_iterator __position, _Args &&...__args)
template<typename... _Args> void emplace_back (_Args &&...__args)
template<typename... _Args> void emplace_front (_Args &&...__args)
iterator end () noexcept
const_iterator end () const noexcept
iterator erase (const_iterator __position)
iterator erase (const_iterator __first, const_iterator __last)
reference front () noexcept
const_reference front () const noexcept
iterator insert (const_iterator __position, const _Tp &__x)
iterator insert (const_iterator __position, _Tp &&__x)
iterator insert (const_iterator __p, initializer_list< value_type > __l)
iterator insert (const_iterator __position, size_type __n, const _Tp &__x)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> iterator insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
deque & operator= (const deque &__x)
deque & operator= (deque &&__x) noexcept
deque & operator= (initializer_list< value_type > __l)
reference operator[] (size_type __n) noexcept
const_reference operator[] (size_type __n) const noexcept
void pop_back () noexcept
void pop_front () noexcept
void push_back (const _Tp &__x)
void push_back (_Tp &&__x)
void push_front (const _Tp &__x)
void push_front (_Tp &&__x)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void resize (size_type __sz)
void resize (size_type __sz, const _Tp &__c)
void swap (deque &__x) noexcept

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>class std::__profile::deque< _Tp, _Allocator >
Class std::deque wrapper with performance instrumentation.

Definition at line 40 of file profile/deque.

Author

Generated automatically by Doxygen for libstdc++ from the source code.